Skip to main content
POST
/
v1
/
sso
/
config
Configure OIDC SSO
curl --request POST \
  --url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/sso/config \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "issuerUrl": "<string>",
  "clientId": "<string>",
  "clientSecret": "<string>",
  "redirectUri": "<string>"
}
'
{
  "issuerUrl": "<string>",
  "clientId": "<string>",
  "redirectUri": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "updatedAt": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Developer API key

Body

application/json
issuerUrl
string<uri>
required
clientId
string
required
clientSecret
string
required
redirectUri
string<uri>
required

Response

SSO configured

issuerUrl
string
clientId
string
redirectUri
string
createdAt
string<date-time>
updatedAt
string<date-time>